> For the complete documentation index, see [llms.txt](https://docs.i3d.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.i3d.net/api-references/general/pdu-telemetry-1.md).

# Pdu Telemetry

PduTelemetry service endpoints

## GET /v3/telemetry/pdu/{pduId}

> Get the history list of power usage for a pdu

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"PduTelemetry","description":"PduTelemetry service endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"ColocationPDUHistoryTelemetry":{"type":"object","required":["unit","data"],"properties":{"unit":{"type":"string","format":"","description":"Unit of data frequency, which is always `null` in this endpoint. This property is there\nfor consistency across all telemetry endpoints. It's `null` because the data is not aggregated","readOnly":true},"data":{"type":"array","items":{"$ref":"#/components/schemas/ColocationPDUHistoryDataTelemetry"},"description":"Contains the data object","readOnly":true}},"additionalProperties":false},"ColocationPDUHistoryDataTelemetry":{"type":"object","required":["timestamp","amps","volts","kwh","powerMeter"],"properties":{"timestamp":{"type":"integer","format":"integer","description":"The time at which the last update occurred","readOnly":true},"amps":{"type":"number","format":"float","description":"The value of amps at that time","readOnly":true},"volts":{"type":"number","format":"float","description":"The value of volts at that time","readOnly":true},"kwh":{"type":"number","format":"float","description":"The value of kwh at that time","readOnly":true},"powerMeter":{"type":"integer","format":"integer","description":"The value of power meter at that time","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/telemetry/pdu/{pduId}":{"get":{"tags":["PduTelemetry"],"summary":"Get the history list of power usage for a pdu","operationId":"getTelemetryPdu","parameters":[{"name":"startTime","in":"query","description":"Unix timestamp. Filter from time, default value is -1 day","schema":{"type":"integer"}},{"name":"endTime","in":"query","description":"Unix timestamp. Filter to time, default value is now","schema":{"type":"integer"}},{"name":"pduId","in":"path","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ColocationPDUHistoryTelemetry"}}}}},"400":{"description":"Bad Request"},"403":{"description":"Invalid credentials"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.i3d.net/api-references/general/pdu-telemetry-1.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
